{% extends 'stm32mp157c-dk2.jinja2' %}
{% set console_device = 'ttyACM0' %}
{% set device_info = [{'board_id': '002200233338510534383330'}] %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command off --port 1' %}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command reboot --port 1 --delay 20' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet dispatcher01 7012'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command on --port 1' %}
{% set flasher_deploy_commands = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command off --port 1',
'lsusb',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.8 -r 1 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.8 -r 2 -s on',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command on --port 1 --delay 20',
'sleep 5',
'/usr/local/lab-scripts/stm32mp1_flasher.sh {LAYOUT} {TARBALL}',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command off --port 1',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.8 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.8 -r 2 -s off',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu12 --command on --port 1 --delay 20'] %}

{% set sync_to_lava = {'device_type': 'stm32mp157c-dk2', 'worker': 'dispatcher01.lavalab', 'tags': [], 'aliases': []} %}
